_getUnbondingDelegationByValidator

Queries unbonding delegations of a validator.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

All That Node prohibits this method for stability.

Parameters

Path

  • validator_addr: STRING - The validator address to query for.

Query

  • pagination.key: STRING - (base64) (optional) key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
  • pagination.offset: INTEGER - (optional) offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
  • pagination.limit: STRING - (optional) limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
  • pagination.count_total: BOOLEAN - (optional) count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key
    is set.
  • pagination.reverse: BOOLEAN - (optional) reverse is set to true if results are to be returned in the descending order.
curl "https://cosmos-mainnet-archive.allthatnode.com:1317/cosmos/staking/v1beta1/validators/cosmosvaloper13x4pynlp86prhcmtns742kgsgu7pjtzj4djh7s/unbonding_delegations?pagination.offset=1&pagination.limit=5&pagination.count_total=false" \
-H 'x-allthatnode-api-key: 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj'

Returns

  • OBJECT - Validators information.
{
  "unbonding_responses": [
    {
      "delegator_address": "string",
      "validator_address": "string",
      "entries": [
        {
          "creation_height": "string",
          "completion_time": "2023-08-05T13:04:01.250Z",
          "initial_balance": "string",
          "balance": "string"
        }
      ]
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}

Try Yourself

Path Params
string
required
Defaults to cosmosvaloper13x4pynlp86prhcmtns742kgsgu7pjtzj4djh7s
Query Params
string
string
Defaults to 1
string
Defaults to 10
string
Defaults to true
string
Defaults to false
Headers
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj

All That Node API key

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!